<html>
<head>
<title>OGRE: Ogre::AnimationStateSet Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a></div>
<h1>Ogre::AnimationStateSet Class Reference</h1><!-- doxytag: class="Ogre::AnimationStateSet" -->Class encapsulating a set of <a class="el" href="classOgre_1_1AnimationState.html" title="Represents the state of an animation and the weight of it&#39;s influence.">AnimationState</a> objects.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1AnimationStateSet-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">OGRE_AUTO_MUTEX&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#0b1638f246d879e338cfe96d54e96d70">AnimationStateSet</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Mutex, public for external locking if needed.  <a href="#0b1638f246d879e338cfe96d54e96d70"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#146fea0c5c0ccca83e70e9b0de2c5291">AnimationStateSet</a> (const <a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> &amp;rhs)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create an animation set by copying the contents of another.  <a href="#146fea0c5c0ccca83e70e9b0de2c5291"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#8b578dae12588b8b82e44af331c88dde">~AnimationStateSet</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#d8aa2b6241e2e6c1298055a48e3f600b">createAnimationState</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;animName, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timePos, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> length, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> weight=1.0, bool enabled=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new <a class="el" href="classOgre_1_1AnimationState.html" title="Represents the state of an animation and the weight of it&#39;s influence.">AnimationState</a> instance.  <a href="#d8aa2b6241e2e6c1298055a48e3f600b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#9eb5fb41650e284a9e85865547cc102a">getAnimationState</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an animation state by the name of the animation.  <a href="#9eb5fb41650e284a9e85865547cc102a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#38a17537088eb0fd4f8e32c03b6c46de">hasAnimationState</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tests if state for the named animation is present.  <a href="#38a17537088eb0fd4f8e32c03b6c46de"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#3651ad254b49b98e8d590da1bc22735a">removeAnimationState</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove animation state with the given name.  <a href="#3651ad254b49b98e8d590da1bc22735a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#49af4b5b62648c598fe631fda6984ea4">removeAllAnimationStates</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove all animation states.  <a href="#49af4b5b62648c598fe631fda6984ea4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MapIterator.html">AnimationStateIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#a4ab9e1b440f5d15e91307e01d0b5a72">getAnimationStateIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over all the animation states in this set.  <a href="#a4ab9e1b440f5d15e91307e01d0b5a72"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ConstMapIterator.html">ConstAnimationStateIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#1061c346582a2f0b198da77d92b2039f">getAnimationStateIterator</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over all the animation states in this set.  <a href="#1061c346582a2f0b198da77d92b2039f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#52a81d8ca7cf5823e66b62ebeb474439">copyMatchingState</a> (<a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *target) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Copy the state of any matching animation states from this to another.  <a href="#52a81d8ca7cf5823e66b62ebeb474439"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#66f959e4399f4f2d66239fadc1382503">_notifyDirty</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the dirty flag and dirty frame number on this state set.  <a href="#66f959e4399f4f2d66239fadc1382503"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#922432730b6857b4e7d658b410d1ca68">getDirtyFrameNumber</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the latest animation state been altered frame number.  <a href="#922432730b6857b4e7d658b410d1ca68"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#a8c6dd75b3600a357c0a4d64150817b2">_notifyAnimationStateEnabled</a> (<a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> *target, bool enabled)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method respond to enable/disable an animation state.  <a href="#a8c6dd75b3600a357c0a4d64150817b2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#d45ccbbf5fa04e2fc20dd5b7d96e87df">hasEnabledAnimationState</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tests if exists enabled animation state in this set.  <a href="#d45ccbbf5fa04e2fc20dd5b7d96e87df"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstEnabledAnimationStateIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#3699918c1c9151e232ce4775adaaabe5">getEnabledAnimationStateIterator</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over all the enabled animation states in this set.  <a href="#3699918c1c9151e232ce4775adaaabe5"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#5c0d0e57eb7f6fc084e7577681742e01">mDirtyFrameNumber</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#8d88c1f65ad1d1bff16764d738e4cc55">AnimationStateMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#48eed73e9a54596baa542fca3e7b3a9f">mAnimationStates</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#6f881141254ff23343b18f2c053b7941">EnabledAnimationStateList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html#25c872cca9cf791a0ccb62feacf63e38">mEnabledAnimationStates</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class encapsulating a set of <a class="el" href="classOgre_1_1AnimationState.html" title="Represents the state of an animation and the weight of it&#39;s influence.">AnimationState</a> objects. 
<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00129">129</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="0b1638f246d879e338cfe96d54e96d70"></a><!-- doxytag: member="Ogre::AnimationStateSet::AnimationStateSet" ref="0b1638f246d879e338cfe96d54e96d70" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OGRE_AUTO_MUTEX Ogre::AnimationStateSet::AnimationStateSet           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Mutex, public for external locking if needed. 
<p>
Create a blank animation state set 
</div>
</div><p>
<a class="anchor" name="146fea0c5c0ccca83e70e9b0de2c5291"></a><!-- doxytag: member="Ogre::AnimationStateSet::AnimationStateSet" ref="146fea0c5c0ccca83e70e9b0de2c5291" args="(const AnimationStateSet &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AnimationStateSet::AnimationStateSet           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create an animation set by copying the contents of another. 
<p>

</div>
</div><p>
<a class="anchor" name="8b578dae12588b8b82e44af331c88dde"></a><!-- doxytag: member="Ogre::AnimationStateSet::~AnimationStateSet" ref="8b578dae12588b8b82e44af331c88dde" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AnimationStateSet::~AnimationStateSet           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="d8aa2b6241e2e6c1298055a48e3f600b"></a><!-- doxytag: member="Ogre::AnimationStateSet::createAnimationState" ref="d8aa2b6241e2e6c1298055a48e3f600b" args="(const String &amp;animName, Real timePos, Real length, Real weight=1.0, bool enabled=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a>* Ogre::AnimationStateSet::createAnimationState           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>animName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>timePos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>weight</em> = <code>1.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>enabled</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create a new <a class="el" href="classOgre_1_1AnimationState.html" title="Represents the state of an animation and the weight of it&#39;s influence.">AnimationState</a> instance. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>animName</em>&nbsp;</td><td>The name of the animation </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>timePos</em>&nbsp;</td><td>Starting time position </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>length</em>&nbsp;</td><td>Length of the animation to play </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>weight</em>&nbsp;</td><td>Weight to apply the animation with </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>enabled</em>&nbsp;</td><td>Whether the animation is enabled </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="9eb5fb41650e284a9e85865547cc102a"></a><!-- doxytag: member="Ogre::AnimationStateSet::getAnimationState" ref="9eb5fb41650e284a9e85865547cc102a" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a>* Ogre::AnimationStateSet::getAnimationState           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an animation state by the name of the animation. 
<p>

</div>
</div><p>
<a class="anchor" name="38a17537088eb0fd4f8e32c03b6c46de"></a><!-- doxytag: member="Ogre::AnimationStateSet::hasAnimationState" ref="38a17537088eb0fd4f8e32c03b6c46de" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AnimationStateSet::hasAnimationState           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tests if state for the named animation is present. 
<p>

</div>
</div><p>
<a class="anchor" name="3651ad254b49b98e8d590da1bc22735a"></a><!-- doxytag: member="Ogre::AnimationStateSet::removeAnimationState" ref="3651ad254b49b98e8d590da1bc22735a" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AnimationStateSet::removeAnimationState           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove animation state with the given name. 
<p>

</div>
</div><p>
<a class="anchor" name="49af4b5b62648c598fe631fda6984ea4"></a><!-- doxytag: member="Ogre::AnimationStateSet::removeAllAnimationStates" ref="49af4b5b62648c598fe631fda6984ea4" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AnimationStateSet::removeAllAnimationStates           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove all animation states. 
<p>

</div>
</div><p>
<a class="anchor" name="a4ab9e1b440f5d15e91307e01d0b5a72"></a><!-- doxytag: member="Ogre::AnimationStateSet::getAnimationStateIterator" ref="a4ab9e1b440f5d15e91307e01d0b5a72" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIterator.html">AnimationStateIterator</a> Ogre::AnimationStateSet::getAnimationStateIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over all the animation states in this set. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>The iterator returned from this method is not threadsafe, you will need to manually lock the public mutex on this class to ensure thread safety if you need it. </dd></dl>

</div>
</div><p>
<a class="anchor" name="1061c346582a2f0b198da77d92b2039f"></a><!-- doxytag: member="Ogre::AnimationStateSet::getAnimationStateIterator" ref="1061c346582a2f0b198da77d92b2039f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConstMapIterator.html">ConstAnimationStateIterator</a> Ogre::AnimationStateSet::getAnimationStateIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over all the animation states in this set. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>The iterator returned from this method is not threadsafe, you will need to manually lock the public mutex on this class to ensure thread safety if you need it. </dd></dl>

</div>
</div><p>
<a class="anchor" name="52a81d8ca7cf5823e66b62ebeb474439"></a><!-- doxytag: member="Ogre::AnimationStateSet::copyMatchingState" ref="52a81d8ca7cf5823e66b62ebeb474439" args="(AnimationStateSet *target) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AnimationStateSet::copyMatchingState           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *&nbsp;</td>
          <td class="paramname"> <em>target</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Copy the state of any matching animation states from this to another. 
<p>

</div>
</div><p>
<a class="anchor" name="66f959e4399f4f2d66239fadc1382503"></a><!-- doxytag: member="Ogre::AnimationStateSet::_notifyDirty" ref="66f959e4399f4f2d66239fadc1382503" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AnimationStateSet::_notifyDirty           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the dirty flag and dirty frame number on this state set. 
<p>

</div>
</div><p>
<a class="anchor" name="922432730b6857b4e7d658b410d1ca68"></a><!-- doxytag: member="Ogre::AnimationStateSet::getDirtyFrameNumber" ref="922432730b6857b4e7d658b410d1ca68" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Ogre::AnimationStateSet::getDirtyFrameNumber           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the latest animation state been altered frame number. 
<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00178">178</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a8c6dd75b3600a357c0a4d64150817b2"></a><!-- doxytag: member="Ogre::AnimationStateSet::_notifyAnimationStateEnabled" ref="a8c6dd75b3600a357c0a4d64150817b2" args="(AnimationState *target, bool enabled)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AnimationStateSet::_notifyAnimationStateEnabled           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> *&nbsp;</td>
          <td class="paramname"> <em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>enabled</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method respond to enable/disable an animation state. 
<p>

</div>
</div><p>
<a class="anchor" name="d45ccbbf5fa04e2fc20dd5b7d96e87df"></a><!-- doxytag: member="Ogre::AnimationStateSet::hasEnabledAnimationState" ref="d45ccbbf5fa04e2fc20dd5b7d96e87df" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AnimationStateSet::hasEnabledAnimationState           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tests if exists enabled animation state in this set. 
<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00183">183</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3699918c1c9151e232ce4775adaaabe5"></a><!-- doxytag: member="Ogre::AnimationStateSet::getEnabledAnimationStateIterator" ref="3699918c1c9151e232ce4775adaaabe5" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstEnabledAnimationStateIterator</a> Ogre::AnimationStateSet::getEnabledAnimationStateIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over all the enabled animation states in this set. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>The iterator returned from this method is not threadsafe, you will need to manually lock the public mutex on this class to ensure thread safety if you need it. </dd></dl>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="5c0d0e57eb7f6fc084e7577681742e01"></a><!-- doxytag: member="Ogre::AnimationStateSet::mDirtyFrameNumber" ref="5c0d0e57eb7f6fc084e7577681742e01" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1AnimationStateSet.html#5c0d0e57eb7f6fc084e7577681742e01">Ogre::AnimationStateSet::mDirtyFrameNumber</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00193">193</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="48eed73e9a54596baa542fca3e7b3a9f"></a><!-- doxytag: member="Ogre::AnimationStateSet::mAnimationStates" ref="48eed73e9a54596baa542fca3e7b3a9f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#8d88c1f65ad1d1bff16764d738e4cc55">AnimationStateMap</a> <a class="el" href="classOgre_1_1AnimationStateSet.html#48eed73e9a54596baa542fca3e7b3a9f">Ogre::AnimationStateSet::mAnimationStates</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00194">194</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="25c872cca9cf791a0ccb62feacf63e38"></a><!-- doxytag: member="Ogre::AnimationStateSet::mEnabledAnimationStates" ref="25c872cca9cf791a0ccb62feacf63e38" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#6f881141254ff23343b18f2c053b7941">EnabledAnimationStateList</a> <a class="el" href="classOgre_1_1AnimationStateSet.html#25c872cca9cf791a0ccb62feacf63e38">Ogre::AnimationStateSet::mEnabledAnimationStates</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00195">195</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:06 2008
</p>
</body>
</html>
